package com.palnet.board.app.controller;

import com.palnet.board.app.dto.RequestBoard;
import com.palnet.board.app.dto.ResponseBoard;
import com.palnet.board.app.sample.service.SampleBoardService;
import com.palnet.board.app.service.BoardService;

import lombok.RequiredArgsConstructor;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor
@RestController
@RequestMapping("/api/board")
public class BoardRestController {

    private BoardService boardService;

    @GetMapping("/sample")
    public ResponseEntity<ResponseBoard> test(@RequestBody RequestBoard requestBoard) throws Exception {
        ResponseBoard responseBoard =  boardService.test(requestBoard);
        return ResponseEntity.status(HttpStatus.OK).body(responseBoard);
    }
	
}

