package com.palnet.board.app.jw.service;

import java.util.List;

import org.springframework.stereotype.Service;

import com.palnet.board.app.jw.dto.JwBoardDto;
import com.palnet.board.app.jw.mapper.JwBoardMapper;
import com.palnet.board.app.mapper.BoardMapper;

import lombok.RequiredArgsConstructor;

@RequiredArgsConstructor
@Service
public class JwBoardServiceImpl implements JwBoardService {

	  private final JwBoardMapper BoardMapper;

	    @Override
	    public List<JwBoardDto> list() {
	        return BoardMapper.list();
	    }

	    @Override
	    public JwBoardDto detail(Integer id) {
	        return BoardMapper.detail(id);
	    }

	    @Override
	    public int create(JwBoardDto rq) {
	        return BoardMapper.insert(rq);
	    }

	    @Override
	    public int update(JwBoardDto rq) {

	        return BoardMapper.update(rq);
	    }

	    @Override
	    public int delete(Integer id) {
	        return BoardMapper.delete(id);
	    }
	    @Override
	    public int index() throws Exception {
	    	int boardId = BoardMapper.index();
	    	return boardId;
	    }

	
	}
