package com.palnet.board.app.service;

import com.palnet.board.app.dto.BoardDto;
import com.palnet.board.app.dto.RequestBoard;
import com.palnet.board.app.dto.ResponseBoard;
import com.palnet.board.app.mapper.BoardMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class BoardServiceImpl implements BoardService {

    @Autowired
    BoardMapper boardMapper;

    @Override
    public ResponseBoard test(RequestBoard requestBoard) throws Exception {

        BoardDto boardDto = boardMapper.selectSample(requestBoard.getSample_sno());
        
        ResponseBoard responseBoard = new ResponseBoard();
        String result = boardDto.getSample2() + boardDto.getSample2();
        responseBoard.setSample(result);

        return responseBoard;
    }
}
