<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!doctype html>
<html lang="ko" xml:lang="ko">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=0,maximum-scale=10,user-scalable=yes">
    <!-- css -->
    <link rel="stylesheet" href="/web/css/reset.css">
    <link rel="stylesheet" href="/web/css/font.css">
    <link rel="stylesheet" href="/web/css/common.css">
    <!-- js -->
    <script src="/web/js/lib/jquery-3.6.0.min.js"></script>

    <title>View-팔네트웍스</title>
</head>


<body>
<input type="hidden" id="boardId" value="${boardId}"/>
<div class="notice">
    <div class="row">
        <div class="box">
            <span class="ti">글쓴이</span>
            <span class="box-input view" id="regUser"></span>
        </div>
        <div class="box">
            <span class="ti">비밀번호</span>
            <span class="box-input view" id="password"></span>
        </div>
    </div>
    <div class="row">
        <div class="box">
            <span class="ti">번호</span>
            <span class="box-input view" id="num">20</span>
        </div>
        <div class="box">
            <span class="ti">작성일</span>
            <span class="box-input view" id="regDtm">2022/05/02</span>
        </div>
    </div>
    <div class="row">
        <div class="box">
            <span class="ti">제목</span>
            <span class="box-input view" id="title">다리가 아파요</span>
        </div>
    </div>
    <div class="row">
        <div class="box">
       <span class="box-input box-textarea view" id="content">
         반깁스 너무 불편하네요.
       </span>
        </div>
    </div>
    <div class="comment-box">
        <span class="total">댓글 39</span>
        <div class="comment-input">
            <textarea placeholder="댓글을 입력해주세요"></textarea>
            <button type="button">등록</button>
        </div>
        <div class="comment-view">
            <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
            <span class="text">여기는 댓글 정보!</span>
        </div>
        <div class="comment-view">
            <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
            <span class="text">여기는 댓글 정보!2222</span>
        </div>
        <div class="comment-view">
            <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
            <span class="text">여기는 댓글 정보3333!</span>
            <div class="reply-box">
                <button type="button">답글</button>
                <div class="reply-input">
                    <textarea placeholder="댓글을 입력해주세요"></textarea>
                    <button type="button">등록</button>
                </div>
                <div class="reply-view">
                    <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
                    <span class="text">여기는 댓글의 댓글(답글)정보!</span>
                </div>
                <div class="reply-view">
                    <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
                    <span class="text">여기는 댓글의 댓글(답글)정보!2222</span>
                </div>
                <div class="reply-view">
                    <span class="user"><span class="id">123pal***</span><span class="date">05.02 13:00</span></span>
                    <span class="text">여기는 댓글의 댓글(답글)정보!3333</span>
                </div>
            </div>
        </div>
    </div>
    <div class="page-link">
        <a href="#none">▲ 이전글<span class="page-link-ti">날씨가 좋네요.</span></a>
        <a href="#none">▼ 다음글<span class="page-link-ti">덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다덥다</span></a>
    </div>
    <div class="btn-box">
       <button class="btn gray" type="button">목록</button>
        <button class="btn black" type="button">저장</button>
    </div>
</div>
<script>

    $(document).ready(function(){
        var id = $('#boardId').val();
        if(id){
            $.get('/api/sample/board/detail/'+id).done((res) => {
                $('#num').html(res.id);
                $('#password').html(res.password);
                $('#regDtm').html(res.regDtm);
                $('#regUser').html(res.regUser);
                $('#title').html(res.title);
                $('#content').html(res.content);
            }).fail((e) => {
                console.log('error', e);
            });
        }

    });

</script>
</body>

</html>
