package com.palnet.board.app.jh.service;

import java.util.List;

import com.palnet.board.app.jh.dto.JunheePageDto;
import com.palnet.board.app.jh.dto.JunheeRequestBoard;
import com.palnet.board.app.jh.dto.JunheeResponseBoard;
import com.palnet.board.app.jh.dto.JunheeResponsePrevNext;

public interface JunheeBoardService {

	JunheeResponseBoard detailView(String id) throws Exception;

	int boardWrite(JunheeRequestBoard requestBoard) throws Exception;

	int boardDelete(String id) throws Exception;

	int boardModify(JunheeRequestBoard requestBoard) throws Exception;

	int boardMaxId() throws Exception;

	List<JunheeResponseBoard> selectListPage(int pageNum) throws Exception;

	JunheePageDto pageHelp() throws Exception;
	
	List<JunheeResponsePrevNext> boardPrevNext(int id) throws Exception;
}
