package com.palnet.board.app.sample.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

@Slf4j
@Controller
@RequestMapping("/view/sample/board")
public class SampleBoardController {

    @GetMapping("/list")
    public String list(){
        return "/sample/board/list";
    }

    @GetMapping("/detail/{id}")
    public String detail(@PathVariable Integer id, Model model){
        model.addAttribute("boardId", id);
        return "/sample/board/detail";
    }

}
